Bug 1397731 (CVE-2015-8978) - CVE-2015-8978 perl-SOAP-Lite: XML exponential entity expansion denial-of-service
Summary: CVE-2015-8978 perl-SOAP-Lite: XML exponential entity expansion denial-of-service
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8978
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150721,repor...
Depends On: 1397732
Blocks: 1397735
TreeView+ depends on / blocked
 
Reported: 2016-11-23 09:40 UTC by Andrej Nemec
Modified: 2019-06-08 21:36 UTC (History)
13 users (show)

Fixed In Version: perl-SOAP-Lite 1.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 07:15:19 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-23 09:40:57 UTC
In Soap Lite (aka the SOAP::Lite extension for Perl) 1.14 and earlier,
an example attack consists of defining 10 or more XML entities, each
defined as consisting of 10 of the previous entity, with the document
consisting of a single instance of the largest entity, which expands to
one billion copies of the first entity. The amount of computer memory
used for handling an external SOAP call would likely exceed that
available to the process parsing the XML.

References:

http://cpansearch.perl.org/src/PHRED/SOAP-Lite-1.20/Changes

Comment 1 Andrej Nemec 2016-11-23 09:42:29 UTC
Created perl-SOAP-Lite tracking bugs for this issue:

Affects: epel-all [bug 1397732]

Comment 3 Doran Moppert 2016-12-14 07:09:16 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.